DateCache (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.util

## Class DateCache

- java.lang.Object
- - org.eclipse.jetty.util.DateCache

- Direct Known Subclasses:
    BufferDateCache

      public class DateCache
      extends Object

  Date Format Cache. Computes String representations of Dates and caches the results so that subsequent requests within the same minute will be fast. Only format strings that contain either "ss" or "ss.SSS" are handled. The timezone of the date may be included as an ID with the "zzz" format string or as an offset with the "ZZZ" format string. If consecutive calls are frequently very different, then this may be a little slower than a normal DateFormat.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateCache()` Constructor.
    `DateCache(String format)` Constructor.
    `DateCache(String format, DateFormatSymbols s)`
    `DateCache(String format, Locale l)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `format(Date inDate)` Format a date according to our stored formatter.
    `String` | `format(long inDate)` Format a date according to our stored formatter.
    `void` | `format(long inDate, StringBuilder buffer)` Format to string buffer.
    `SimpleDateFormat` | `getFormat()` Get the format.
    `String` | `getFormatString()`
    `TimeZone` | `getTimeZone()`
    `int` | `lastMs()`
    `String` | `now()`
    `void` | `setTimeZone(TimeZone tz)` Set the timezone.
    `void` | `setTimeZoneID(String timeZoneId)` Set the timezone.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FORMAT

          public static String DEFAULT_FORMAT

  - ### Constructor Detail

    - #### DateCache

          public DateCache()

      Constructor. Make a DateCache that will use a default format. The default format generates the same results as Date.toString().

    - #### DateCache

          public DateCache(String format)

      Constructor. Make a DateCache that will use the given format

    - #### DateCache

          public DateCache(String format,
                   Locale l)

    - #### DateCache

          public DateCache(String format,
                   DateFormatSymbols s)

  - ### Method Detail

    - #### setTimeZone

          public void setTimeZone(TimeZone tz)

      Set the timezone.
      Parameters:
        `tz` - TimeZone

    - #### getTimeZone

          public TimeZone getTimeZone()

    - #### setTimeZoneID

          public void setTimeZoneID(String timeZoneId)

      Set the timezone.
      Parameters:
        `timeZoneId` - TimeZoneId the ID of the zone as used by TimeZone.getTimeZone(id)

    - #### format

          public String format(Date inDate)

      Format a date according to our stored formatter.
      Parameters:
        `inDate` -
      Returns:
        Formatted date

    - #### format

          public String format(long inDate)

      Format a date according to our stored formatter.
      Parameters:
        `inDate` -
      Returns:
        Formatted date

    - #### format

          public void format(long inDate,
                    StringBuilder buffer)

      Format to string buffer.
      Parameters:
        `inDate` - Date the format
        `buffer` - StringBuilder

    - #### getFormat

          public SimpleDateFormat getFormat()

      Get the format.

    - #### getFormatString

          public String getFormatString()

    - #### now

          public String now()

    - #### lastMs

          public int lastMs()

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.